<?php
#
# This file is part of Alive Parish Software
#
# Alive Parish - software to manage tomorrow's parish
# Copyright (C) 2013  Redemptorist Media Center
#
# Alive Parish Software is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# Alive Parish Software is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
?>

<?php $this->beginWidget('CMarkdown');?>

## <a id="index"></a>Frequently Asked Questions ##

1. [What can Alive Parish do?](#features)
1. [How do I create a family?](#family-create)
1. [How do I edit a family?](#family-edit)
1. [How do I capture family survey details?](#family-survey)
1. [Is there a limit to the number of dependents that can be added to a family?](#family-deps-limit)
1. [How do I add more than 2 dependents to a family?](#family-more-deps)
1. [Is there a limit to the number of children that can be added to a family?](#family-children-limit)
1. [How do I add more than 3 children to a family?](#family-more-children)
1. [How do I view / pay family subscriptions?](#family-subscriptions)
1. [How do I add a photo for a family?](#family-photo)
1. [How do I add a photo for a person?](#member-photo)
1. [How do I add a Google map for a family?](#google-map)
1. [What kind of registers are available?](#register-types)
1. [How do I create an entry in a register?](#registers)
1. [What kind of Certificates are available?](#certificate-types)
1. [How do I create a Certificate (Baptism/First Communion/Confirmation/Marriage/Death) or Banns letter?](#certificates)

## FAQ - Answers <a id="features"></a>##

1. What can Alive Parish do?

	Alive Parish Software can help you:

	 * Create, Edit and View families
	 * Add members to families, edit, view members
     * Pay family subscriptions, book masses
	 * Survey family members - satisfation, needs, generic Q/A
	 * Set photos for families, members
	 * Add entries to parish registers - baptism, first communion, confirmation, banns, marriage, death
	 * Generate certificates for baptism, first communion, confirmation, marriage, death
	 * Generate banns letters, mass booking receipts
	 * Custom member search with export to excel, e.g children (age<15), youth (age 15-30), doctors, etc

  &nbsp;

  [Back to Index](#index)

1. <a id="family-create"></a>How do I create a family?

	To create a family, click the View Families link under Home.<br>
	Next, click the "Create Family" link in the right sidebar.<br>
	Fill the form tab by tab, first fill the family details tab.<br>
	Next, fill the husband and wife tabs. At least one of these is required.<br>
	Next, fill the dependents tabs.<br>
	Next, fill the children tabs.<br>
	Any of these dependents, children tabs can be skipped.<br>

  [Back to Index](#index)

1. <a id="family-edit"></a>How do I edit a family?

	Click the "View Families" link under Home.<br>
	Next, click the link (id) of the family you want to edit.<br>
	Next, click the "Update Family" link.<br>
	Edit the fields you want, and click "Save".<br>

  [Back to Index](#index)

1. <a id="family-survey"></a>How do I capture family survey details?

  Click the "View Families" link under Home to get a family listing.<br>
	Click the link (id) of the family you want to survey.<br>
	In the right sidebar, click the "Survey Family" link.<br>
	Fill each of the 4 tabs of the survey: satisfaction, needs, awareness and open questions, click "Save".<br>

  [Back to Index](#index)

1. <a id="family-deps-limit"></a>Is there a limit to the number of dependents that can be added to a family?

  No, though the create/update family form shows 2 dependents, more dependents can be added later.

  [Back to Index](#index)

1. <a id="family-more-deps"></a>How do I add more than 2 dependents to a family?

	Similar to adding more childern- add 2 dependents using the create/update family.<br>
	Now, view the family by clicking "View Family".<br>
	There now appears a link "More Dependents" in the right sidebar - click it.<br>
	Add the extra children in the form providid and save.<br>

  [Back to Index](#index)

1. <a id="family-children-limit"></a>Is there a limit to the number of children that can be added to a family?

  No, though the create/update family form shows 3 children, more can be added later.

  [Back to Index](#index)

1. <a id="family-more-children"></a>How do I add more than 3 children to a family?

	First, add 3 children using the create/edit family function.<br>
	Now, view the family by clicking "View Family".<br>
	There now appears a link "More Children" in the right sidebar - click it.<br>
	Add the extra children in the form provided and save.<br>

  [Back to Index](#index)

1. <a id="family-subscriptions"></a>How do I view / pay family subscriptions?

	Click the "View Families" link under Home to get a family listing.<br>
	Click the link (id) of the family you want to view subscriptions.<br>
	In the right sidebar, click the "Subscriptions" link to view family subscriptions.<br>
	To pay subscriptions, click "Create Subscription" link in the right sidebar<br>
	Fill the form and click the "Create" button.<br>
	You may download the receipt by clicking the "Download Receipt" link<br>

  [Back to Index](#index)

1. <a id="family-photo"></a>How do I add a photo for a family?

  Go to "Home" and click "View Families".<br>
	Then click the link (id) of the family you want to add the photo to.<br>
	Next, click the "Upload Photo" link. Browse your system for the photo and click "Save".<br>
	Next, select a region of the photo and click "Crop".<br>
	The cropped photo is now set for the family.<br>

  [Back to Index](#index)

1. <a id="member-photo"></a>How do I add a photo for a person?

	Go to "Home" and click "Total n members" to view member list.<br>
	Click the link (id) of the member you want to add the photo for.<br>
	Click the "Upload Photo" link.<br>
	Select a photo from your system and click "Save".<br>
	Select a region of the photo and click "Crop".<br>
	The cropped photo is now set for the person.<br>

	**P.S:** The member can also be selected through member search

  [Back to Index](#index)

1. <a id="google-map"></a>How do I add a Google map for a family?

  Go to "Home" and click "View Families" to view the family list.<br>
	Click the link (id) of the family you want to add the Google map for.<br>
	Click the "Locate on Google maps" link.<br>
	In another tab, open [Google maps](http://maps.google.com) and locate the address.<br>
	Click the Share link (anchor) and copy the URL.<br>
	Paste the URL in the Alive Parish textarea and click "Save".<br>

  [Back to Index](#index)

1. <a id="register-types"></a>What kind of registers are available?

	Registers are available for the sacraments, death and banns:

	  1. Marriage register
	  1. Baptism register
	  1. First Communion register
	  1. Confirmation register
	  1. Death register
	  1. Banns register

	&nbsp;

  [Back to Index](#index)

1. <a id="registers"></a>How do I create an entry in a register?

	Go to "Home" and click "Manage Registers".<br>
	Now, click the link to the relevant register.<br>
	In the right sidebar, click the "Create Sacrament Record" link, e.g "Create BaptismRecord".<br>
  Fill the form and click "Create" to create an entry in the register.<br>

  [Back to Index](#index)

1. <a id="certificate-types"></a>What kind of certificates are available?

	Certificates are available based on different registers:

	  1. Marriage Certificates
	  1. Baptism Certificates
	  1. First Communion Certificates
	  1. Confirmation Certificates
	  1. Death Certificates
	  1. Banns Request Letters
	  1. Banns Response Letters
	  1. No Impediment Letters

	&nbsp;

  [Back to Index](#index)

1. <a id="certificates"></a>How do I create a Certificate (Baptism/First Communion/Confirmation/Marriage/Death) or Banns letter?

	First, create an entry in the corresponding register by following the instructions [here](#registers).<br>
	Next, click "List Sacrament Record" in the right sidebar<br>
	Click the link (id) to view the relevant record.<br>
	Now, click the "Create Certificate" link, you should see a form.<br>
	Fill and save the form clicking "Create" button.<br>
	Once created, you are taken to the view page. Click the "Download Certificate" link.<br>

  [Back to Index](#index)

<?php $this->endWidget();?>
